Subject: [Roll] Fwd: I-D Action:draft-wakikawa-roll-invehicle-reqs-00.txt

From: Ryuji Wakikawa <[email-masked]>
Date: Thu, 29 May 2008 18:48:21 +0900

Hello all,

We published a new requirement document for ROLL routing protocols.
Although an in-vehicle network is not currently chartered in WG,
we are very interested in ROLL activity for the future automobile.

As Jukka  mentioned, some requirements are very similar to other  
requirements documents.
We tried to highlight the differences in the document.

Any feedback will be appreciated.

thanks,
ryuji

Begin forwarded message:

> From: [email-masked]
> date: 2008/5/2918:30:01:JST
> To: [email-masked]
> Subject: I-D Action:draft-wakikawa-roll-invehicle-reqs-00.txt
> Reply-to: [email-masked]
>
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
>
> 	Title           : In-Vehicle Routing Requirements in Low Power and  
> Lossy Networks
> 	Author(s)       : R. Wakikawa, H. Kuwabara
> 	Filename        : draft-wakikawa-roll-invehicle-reqs-00.txt
> 	Pages           : 20
> 	Date            : 2008-05-29
>
> This document presents the routing requirements for in-vehicle low
> power and lossy networks.  Automobiles are already equipped with
> several sensors and devices named Electronic Control Unit (ECU) for
> controlling, monitoring and entertainment, etc.  For the future in-
> vehicle networks, the shift to wireless is desirable due to heavy
> weight and volume of cables in vehicles and to be able to efficiently
> install devices.  However, with the limitation of low power, in-
> vehicle network still requires reliability and scalability in nature
> of the rolls of ECU.  The routing protocol should support the
> features of low-power, high-reliability, Subnetting, QoS, Mobility,
> etc.  This document briefly explains the in-vehicle networks and
> ECUs, then discusses the requirements for the future wireless in-
> vehicle networks.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-wakikawa-roll-invehicle-reqs-00.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

_______________________________________________
Roll mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/roll

---

From: JP Vasseur <[email-masked]>
Date: Thu, 29 May 2008 11:47:54 -0400

Dear Ryuji,

First of all sorry for the delay in replying to your message. As you pointed
out, in-vehicle is not part of the WG charter. Thus this document could not
be a WG document for the time being.

That being said, there is no issue in using the ROLL mailing list to discuss
it. I would encourage people to look at it and comment. If we have some time
in Dublin, I have no problem giving you a slot to present your document.

Thanks.

JP.

---

From: Ryuji Wakikawa <[email-masked]>
Date: Fri, 30 May 2008 13:59:56 +0900

Dear JP,

> be a WG document for the time being.

No problem at all.
The intention of this document is new input to ROLL WG from vehicle  
industry.

Thanks.

IETF community might not be familiar with in-vehicle networks. (So am  
I..).
but the network characteristics is similar to the ROLL network.

Vehicle industry is extending functionalities of in-vehicle networks
and might need routing functionality soon.
Inputs from ROLL group is highly appreciated.

It will be great if we can present our requirements at the Dublin  
meeting.

regards,
ryuji

---

From: JP Vasseur <[email-masked]>
Date: Fri, 30 May 2008 09:49:29 +0200

Hi,

> The intention of this document is new input to ROLL WG from vehicle

Great.

> It will be great if we can present our requirements at the Dublin

As we get closer to the WG meeting schedule I will let you know if you can
have a slot but there should be no problem.

Thanks.

JP.

---

From: "Miguel Sanchez" <[email-masked]>
Date: Fri, 30 May 2008 20:50:56 +0200

Hi Ryuji,

Here you have my comments.

On page 8, Body Network: you mention air-bag control and 100msec latency.
However,  you later refer to the power train latency for the air-bag control
(from 2 to 6 msec).

Next, on Infotainment Network: you mention a latency of 100msec (including
phone communication) but as you put Electronic Toll Collection on the same
network you later admit that latency for that has to be much lower.

I find these two cases above confusing: having a certain latency for some
services but one. (Not sure 100msec for the hands-free is going to be
comfortable either).

Page 10, Path reliability: What is that? I know what you mean but you may
want to elaborate on this concept.

Page 13, Security:  For encryption, key management needs to be addressed.

Regards,

Miguel Sánchez